| Home | Libraries | People | FAQ | More

#### websocket::condition

Error conditions corresponding to sets of error codes.

##### Synopsis

Defined in header `<boost/beast/websocket/error.hpp>`

    enum condition

##### Values

Name | Description
--- | ---
`handshake_failed` | The WebSocket handshake failed. This condition indicates that the WebSocket handshake failed. If the corresponding HTTP response indicates the keep-alive behavior, then the handshake may be reattempted.
`protocol_violation` | A WebSocket protocol violation occurred. This condition indicates that the remote peer on the WebSocket connection sent data which violated the protocol.